/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.example.web.ui.StarTestModule"); //$NON-NLS-1$
dojo.require("com.ibm.team.workitem.web.cache.internal.WorkItemProxyFactory"); //$NON-NLS-1$
dojo.require("com.ibm.team.workitem.example.web.ui.StarPart"); //$NON-NLS-1$
dojo.require("dijit._Widget");//$NON-NLS-1$
dojo.require("dijit._Templated");//$NON-NLS-1$

(function() {

dojo.declare("com.ibm.team.workitem.example.web.ui.StarTestModule", [dijit._Widget, dijit._Templated], { // $NON-NLS-1$
   templateString:
      '<div class="com-example-star-widget" style="margin-left: 20px">'+
      '<h3>Star Test</h3>' +
      '<table width="200px"><tr><td style="width:5em">Is Favorite:</td><td><span dojoAttachPoint="_star"></span></td></tr></table>'+
      '</div>', // $NON-NLS-1$
	constructor: function() {

	},
	postCreate: function() {
		var workingCopy = com.ibm.team.workitem.web.cache.internal.WorkItemProxyFactory.getWorkItemProxy({
				id: -1,
				createIfNeeded: true,
				doNotCache: true
			});	

		var starPart = new com.ibm.team.workitem.example.web.ui.StarPart({workingCopy: workingCopy, attributeId: "isStarred"}); // $NON-NLS-1$
		this._star.appendChild(starPart.domNode);
	}
});

})();
